MavenPluginConvention (Gradle API 2.9)
Date: 2015-11-17

Package: org.gradle.api.plugins

## [Java] Class MavenPluginConvention

- org.gradle.api.plugins.MavenPluginConvention

- All Implemented Interfaces and Traits:
    org.gradle.api.publication.maven.internal.MavenPomMetaInfoProvider

      public class MavenPluginConvention
      extends Object

  Properties and methods added by the MavenPlugin.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MavenPluginConvention (org.gradle.api.internal.project.ProjectInternal project, org.gradle.api.publication.maven.internal.MavenFactory mavenFactory)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Conf2ScopeMappingContainer` | `getConf2ScopeMappings()` Returns the set of rules for how to map Gradle dependencies to Maven scopes.
    `File` | `getMavenPomDir()` Returns the directory to generate Maven POMs into.
    `MavenPom` | `pom()` Creates a new MavenPom.
    `MavenPom` | `pom(groovy.lang.Closure configureClosure)` Creates and configures a new MavenPom.
    `void` | `setConf2ScopeMappings(Conf2ScopeMappingContainer conf2ScopeMappings)`
    `void` | `setMavenPomDir(Object pomDir)` Sets the directory to generate Maven POMs into.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public MavenPluginConvention(org.gradle.api.internal.project.ProjectInternal project, org.gradle.api.publication.maven.internal.MavenFactory mavenFactory)

  - ### Method Detail

    - #### public Conf2ScopeMappingContainer getConf2ScopeMappings()

      Returns the set of rules for how to map Gradle dependencies to Maven scopes.

      Returns:
        The mapping rules.

    - #### public File getMavenPomDir()

      Returns the directory to generate Maven POMs into.

    - #### public MavenPom pom()

      Creates a new MavenPom.

      Returns:
        The POM instance.

    - #### public MavenPom pom(groovy.lang.Closure configureClosure)

      Creates and configures a new MavenPom. The given closure is executed to configure the new POM instance.

      Parameters:
        `configureClosure` - The closure to use to configure the POM instance.
      Returns:
        The POM instance.

    - #### public void setConf2ScopeMappings(Conf2ScopeMappingContainer conf2ScopeMappings)

    - #### public void setMavenPomDir(Object pomDir)

      Sets the directory to generate Maven POMs into.

      Parameters:
        `pomDir` - The new POM directory. Evaluated as per Project.file.